Search documentation of stripe_elixir

# StripeElixir.Services.EphemeralKeyService (stripe_elixir v0.1.0)

Copy Markdown View Source

EphemeralKey

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create an ephemeral key

delete(client, key, params \\ %{}, opts \\ [])

Immediately invalidate an ephemeral key

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Create an ephemeral key

Creates a short-lived API key for a given resource.

# delete(client, key, params \\ %{}, opts \\ [])

    @spec delete(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Immediately invalidate an ephemeral key

Invalidates a short-lived API key for a given resource.